List published requests across integrators
curl --request GET \
--url https://api.relay.link/published-requestsconst options = {method: 'GET'};
fetch('https://api.relay.link/published-requests', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.relay.link/published-requests"
response = requests.get(url)
print(response.text){
"requests": [
{
"id": "<string>",
"status": "success",
"user": "<string>",
"recipient": "<string>",
"sender": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"data": {
"inTxs": [
{
"txHash": "<string>",
"fee": "<string>",
"block": 123,
"type": "<string>",
"chainId": 123,
"timestamp": 123,
"status": "success",
"data": {
"from": "<string>",
"to": "<string>",
"data": "<string>",
"value": "<string>"
},
"stateChanges": [
{
"address": "<string>",
"change": {
"kind": "<string>",
"balanceDiff": "<string>",
"data": {
"tokenAddress": "<string>",
"tokenKind": "<string>",
"tokenId": "<string>"
}
}
}
]
}
],
"outTxs": [
{
"txHash": "<string>",
"fee": "<string>",
"block": 123,
"type": "<string>",
"chainId": 123,
"timestamp": 123,
"status": "success",
"data": {
"from": "<string>",
"to": "<string>",
"data": "<string>",
"value": "<string>"
},
"stateChanges": [
{
"address": "<string>",
"change": {
"kind": "<string>",
"balanceDiff": "<string>",
"data": {
"tokenAddress": "<string>",
"tokenKind": "<string>",
"tokenId": "<string>"
}
}
}
]
}
],
"route": {
"actual": {
"origin": {
"inputCurrency": {
"currency": {
"chainId": 123,
"address": "<string>",
"symbol": "<string>",
"name": "<string>",
"decimals": 123
},
"amount": "<string>",
"amountFormatted": "<string>"
},
"outputCurrency": {
"currency": {
"chainId": 123,
"address": "<string>",
"symbol": "<string>",
"name": "<string>",
"decimals": 123
},
"amount": "<string>",
"amountFormatted": "<string>"
}
},
"destination": {
"inputCurrency": {
"currency": {
"chainId": 123,
"address": "<string>",
"symbol": "<string>",
"name": "<string>",
"decimals": 123
},
"amount": "<string>",
"amountFormatted": "<string>"
},
"outputCurrency": {
"currency": {
"chainId": 123,
"address": "<string>",
"symbol": "<string>",
"name": "<string>",
"decimals": 123
},
"amount": "<string>",
"amountFormatted": "<string>"
}
}
}
}
},
"protocol": {
"orderId": "<string>",
"solver": {
"address": "<string>"
},
"deposit": {
"origin": {
"amount": "<string>",
"chainId": 123,
"currency": "<string>",
"depositor": "<string>",
"depository": "<string>",
"onchainId": "<string>",
"transactionId": "<string>"
}
},
"settlement": {
"destination": {
"fills": [
{
"chainId": 123,
"transactionId": "<string>"
}
],
"refunds": [
{
"chainId": 123,
"transactionId": "<string>"
}
]
}
}
}
}
],
"continuation": "<string>",
"total": 123
}{
"message": "<string>",
"errorCode": "<string>",
"errorData": "<unknown>",
"requestId": "<string>"
}{
"message": "<string>",
"errorCode": "<string>",
"errorData": "<unknown>",
"requestId": "<string>"
}{
"message": "<string>",
"errorCode": "<string>",
"errorData": "<unknown>",
"requestId": "<string>"
}{
"message": "<string>",
"errorCode": "<string>",
"errorData": "<unknown>",
"requestId": "<string>"
}{
"message": "<string>",
"errorCode": "<string>",
"errorData": "<unknown>",
"requestId": "<string>"
}API Reference
Get Published Requests
Returns a public subset of cross-chain requests across integrators, limited to terminal requests that are at least one minute old.
GET
/
published-requests
List published requests across integrators
curl --request GET \
--url https://api.relay.link/published-requestsconst options = {method: 'GET'};
fetch('https://api.relay.link/published-requests', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.relay.link/published-requests"
response = requests.get(url)
print(response.text){
"requests": [
{
"id": "<string>",
"status": "success",
"user": "<string>",
"recipient": "<string>",
"sender": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"data": {
"inTxs": [
{
"txHash": "<string>",
"fee": "<string>",
"block": 123,
"type": "<string>",
"chainId": 123,
"timestamp": 123,
"status": "success",
"data": {
"from": "<string>",
"to": "<string>",
"data": "<string>",
"value": "<string>"
},
"stateChanges": [
{
"address": "<string>",
"change": {
"kind": "<string>",
"balanceDiff": "<string>",
"data": {
"tokenAddress": "<string>",
"tokenKind": "<string>",
"tokenId": "<string>"
}
}
}
]
}
],
"outTxs": [
{
"txHash": "<string>",
"fee": "<string>",
"block": 123,
"type": "<string>",
"chainId": 123,
"timestamp": 123,
"status": "success",
"data": {
"from": "<string>",
"to": "<string>",
"data": "<string>",
"value": "<string>"
},
"stateChanges": [
{
"address": "<string>",
"change": {
"kind": "<string>",
"balanceDiff": "<string>",
"data": {
"tokenAddress": "<string>",
"tokenKind": "<string>",
"tokenId": "<string>"
}
}
}
]
}
],
"route": {
"actual": {
"origin": {
"inputCurrency": {
"currency": {
"chainId": 123,
"address": "<string>",
"symbol": "<string>",
"name": "<string>",
"decimals": 123
},
"amount": "<string>",
"amountFormatted": "<string>"
},
"outputCurrency": {
"currency": {
"chainId": 123,
"address": "<string>",
"symbol": "<string>",
"name": "<string>",
"decimals": 123
},
"amount": "<string>",
"amountFormatted": "<string>"
}
},
"destination": {
"inputCurrency": {
"currency": {
"chainId": 123,
"address": "<string>",
"symbol": "<string>",
"name": "<string>",
"decimals": 123
},
"amount": "<string>",
"amountFormatted": "<string>"
},
"outputCurrency": {
"currency": {
"chainId": 123,
"address": "<string>",
"symbol": "<string>",
"name": "<string>",
"decimals": 123
},
"amount": "<string>",
"amountFormatted": "<string>"
}
}
}
}
},
"protocol": {
"orderId": "<string>",
"solver": {
"address": "<string>"
},
"deposit": {
"origin": {
"amount": "<string>",
"chainId": 123,
"currency": "<string>",
"depositor": "<string>",
"depository": "<string>",
"onchainId": "<string>",
"transactionId": "<string>"
}
},
"settlement": {
"destination": {
"fills": [
{
"chainId": 123,
"transactionId": "<string>"
}
],
"refunds": [
{
"chainId": 123,
"transactionId": "<string>"
}
]
}
}
}
}
],
"continuation": "<string>",
"total": 123
}{
"message": "<string>",
"errorCode": "<string>",
"errorData": "<unknown>",
"requestId": "<string>"
}{
"message": "<string>",
"errorCode": "<string>",
"errorData": "<unknown>",
"requestId": "<string>"
}{
"message": "<string>",
"errorCode": "<string>",
"errorData": "<unknown>",
"requestId": "<string>"
}{
"message": "<string>",
"errorCode": "<string>",
"errorData": "<unknown>",
"requestId": "<string>"
}{
"message": "<string>",
"errorCode": "<string>",
"errorData": "<unknown>",
"requestId": "<string>"
}GET /published-requests requires a valid x-api-key. Short-lived session tokens are not accepted on this endpoint. Private-chain results are only returned when the API key has an explicit grant for those chains.Headers
Required API key.
Query Parameters
Available options:
success, failure, refund, pending, depositing JSON array of OR groups. Fields within a group are ANDed. Supports not: prefixes, arrays, and null checks for public identity, status, chain, and currency filters.
Available options:
createdAt, updatedAt Available options:
asc, desc Required range:
1 <= x <= 100Must be a multiple of 1Was this page helpful?